Detach sketch from a face

Have some feature requests, feedback, cool stuff to share, or want to know where FreeCAD is going? This is the place.
Forum rules
Be nice to others! Read the FreeCAD code of conduct!
josegegas
Posts: 42
Joined: Sat Feb 11, 2017 12:54 am
Location: New Zealand

Detach sketch from a face

Postby josegegas » Tue May 08, 2018 8:31 am

Several times I have found myself creating a sketch attached to a face and then using:

App.ActiveDocument.Sketch.Support=None

to detach it from the face. The objective is simply to "remember" the position. The sketch is then used to create another part, not a pad or a pocket derived from the original bodie. I just use this to set the possition of the new sketch where I want it to be. I was wondering if there is an easier way of doing this or, in case there is not, I think it may be usefull to add an option to the graphic interface that runs the above comand over the selected sketch.
chrisb
Posts: 21410
Joined: Tue Mar 17, 2015 9:14 am

Re: Detach sketch from a face

Postby chrisb » Tue May 08, 2018 11:07 am

On the GUI you use PartDesign->Reorient Sketch and confirm the first question with "yes". "Cancel" the second question about which plane you want to place it on.